<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd"
  version="3.1">
  <display-name>Archetype Created Web Application</display-name>

  <servlet>
    <servlet-name>springmvc</servlet-name>
    <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
    <init-param>
      <param-name>contextConfigLocation</param-name>
      <param-value>classpath:spring.xml</param-value>
    </init-param>
    <load-on-startup>1</load-on-startup>
  </servlet>
  <servlet-mapping>
    <servlet-name>springmvc</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>springmvc</servlet-name>
    <url-pattern>/account/p13_account_check</url-pattern>
  </servlet-mapping>

  <!-- 用于验证Token的Filter -->
  <filter>
    <filter-name>token-filter</filter-name>
    <filter-class>com.cpic.xim.web.filters.token.TokenFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>token-filter</filter-name>
    <url-pattern>*.do</url-pattern>
  </filter-mapping>

  <!-- 用于实现跨域访问的Filter -->
  <filter>
    <filter-name>cros-filter</filter-name>
    <filter-class>com.cpic.xim.web.filters.cros.CrosFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>cros-filter</filter-name>
    <url-pattern>*.do</url-pattern>
  </filter-mapping>


  <!-- 配置文件路径参数 -->
  <context-param>
    <param-name>config_file_location</param-name>
    <param-value>config.xml</param-value>
  </context-param>

  <listener>
    <listener-class>com.cpic.xim.web.listener.ContextLoaderListener</listener-class>
  </listener>

</web-app>